<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/DocBook/Markup/Javadoc.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.DocBook.Markup.Javadoc</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../DocBook.html" >DocBook</a>.<a href="../Markup.html" >Markup</a>.Javadoc

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="Javadoc/Javadoc.html" >Javadoc</a></div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line26" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    A formatter that formats comments similar to Javadoc.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Javadoc.html#attributes" >attributes</a></span>(<span class="variable">keys</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.attributes" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line11" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Javadoc.html#element" >element</a></span>(<span class="variable">_type</span>, <span class="variable">body</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">keys</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.element" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line16" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="title">title</a>(<span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.title" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line21" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="para">para</a>(<span class="variable">body</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.para" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line22" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="listitem">listitem</a>(<span class="variable">body</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.listitem" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line23" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="term">term</a>(<span class="variable">body</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.term" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line24" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="link">link</a>(<span class="variable">linkend</span>, <span class="variable">label</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.link" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line25" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="Javadoc/Javadoc.html" >Javadoc</a></div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.Javadoc" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line26" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    A formatter that formats comments similar to Javadoc.
    See `Javadoc Spec`_ for info.

    .. _Javadoc Spec: http://java.sun.com/j2se/1.5.0/docs/tooldocs/solaris/javadoc.html</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="attributes">attributes</a>(<span class="variable">keys</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.attributes" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line11" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Convert a name/value dict to a string of attributes</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="element">element</a>(<span class="variable">_type</span>, <span class="variable">body</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">keys</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.Markup.Javadoc.element" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/Markup/Javadoc.py.html#line16" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Wrap the body in a tag of given type and attributes</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:00 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
